OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class RelaxedX509TrustManager

    java.lang.Object
      org.opennms.netmgt.utils.RelaxedX509TrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

public class RelaxedX509TrustManager
extends java.lang.Object
implements javax.net.ssl.X509TrustManager

This class is used to change the behaviour of the X509TrustManager that is used to validate certificates from an HTTPS server. With this class all certificates will be approved

Author:
  Jason , OpenNMS

Constructor Summary
`RelaxedX509TrustManager()`

Method Summary
`void` `checkClientTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelaxedX509TrustManager

    public RelaxedX509TrustManager()

Method Detail

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.